<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'TabProjectionBlock',
  props: {
    projectionBaseData: {
      type: Object,
      required: false,
      default: null,
    },
    data: {
      type: Number,
      required: true,
      default: 0,
    },
    stage: {
      type: String,
      required: false,
      default: '',
    },
  },
  data() {
    return {
      baseImgUrl: '/nuxt-images/competition/progress-bars/',
      progressBarAltTextBase:
        'Progress bar that shows the current feature capability as ',
    };
  },
  computed: {
    progressBarLegend() {
      switch (this.data) {
        case 0:
          return 'little or no capability';
        case 25:
          return 'basic';
        case 50:
          return 'adequate';
        case 75:
          return 'good';
        case 100:
          return 'comprehensive';
        default:
          return null;
      }
    },
  },
});
</script>
<template>
  <div v-if="projectionBaseData" class="tab-projection-block">
    <SlpTypography variant="body3-bold" tag="h3">
      {{ projectionBaseData.title }}
    </SlpTypography>
    <div class="tab-projection-block__progress">
      <nuxt-img
        class="slp-mt-8 comparison__img"
        loading="lazy"
        :src="`${baseImgUrl}${data}.svg`"
        :alt="`${progressBarAltTextBase}${progressBarLegend}`"
        format="webp"
        quality="99"
      />
      <div class="tab-projection-block__legend">
        <SlpTypography variant="body3" tag="h3">
          {{ progressBarLegend }}
        </SlpTypography>
      </div>
    </div>
    <div class="tab-projection-block__description">
      <SlpTypography variant="body3" tag="h3">
        <SlpLink
          :href="`${projectionBaseData.link?.href}#${stage.toLowerCase()}`"
          >{{ projectionBaseData.link?.text }}</SlpLink
        >
        {{ projectionBaseData.description }}
      </SlpTypography>
    </div>
  </div>
</template>

<style lang="scss" scoped>
.tab-projection-block {
  border: solid 1px $color-surface-200;
  border-radius: $spacing-4;
  margin: $spacing-32 0;
  padding: $spacing-24 $spacing-32;

  &__description {
    margin: $spacing-16 0 0 0;
  }

  &__progress {
    margin: $spacing-16 0;
    display: flex;
    align-items: center;

    img {
      margin: 0;
    }
  }

  &__legend {
    text-transform: capitalize;
    margin-left: $spacing-16;
  }
}
</style>
